## hpsockd 0.17build2

=== src/sockd/Makefile ===

# (c) Copyright Hewlett-Packard Company 1997-2000
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

include ../Makefile.flags

CSRC=methods.c sockd.c util.c logging.c dns.c signal.c
MSRC=listen.c v4.c v5.c userpass.c v5command.c v5tcp.c v5udp.c
DSRC=sdc.c
LSRC=log2ascii.c
USRC=usage.c
OSRC=lexer.l gram.y
HSRC=logging.h sockd.h v4.h v5.h

OBJ=methods.o sockd.o signal.o util.o logging.o dns.o gram.tab.o lexer.o vers.o
MOBJ=listen.o v4.o v5.o userpass.o v5tcp.o v5udp.o v5command.o
DOBJ=sdc.o gram.tab.o lexer.o vers.o
LOBJ=log2ascii.o vers.o
UOBJ=usage.o vers.o

PROGRAMS=sockd sdc log2ascii usage

default: opt

debug: ../util/libutil.a
	${MAKE} `uname -s`.debug

opt: ../util/libutil.a
	${MAKE} `uname -s`

lint: ../util/libutil.a
	${MAKE} `uname -s`.lint

../util/libutil.a:
	@cd ../util; ${MAKE} `uname -s`

include ../Makefile.os

all: ${PROGRAMS}

sockd: ${OBJ} ${MOBJ}
	${CC} ${CFLAGS} -o $@ ${OBJ} ${MOBJ} ${CLFLAGS} ../util/libutil.a

lintx: ${OBJ} ${MOBJ}
	lint ${CFLAGS} ${CSRC} ${MSRC} lexer.c gram.tab.c

sdc: ${DOBJ}
	${CC} ${CFLAGS} -o $@ ${DOBJ} ../util/libutil.a

log2ascii: ${LOBJ}
	${CC} ${CFLAGS} -o $@ ${LOBJ} ../util/libutil.a

usage: ${UOBJ}
	${CC} ${CFLAGS} -o $@ ${UOBJ} ../util/libutil.a

gram.tab.c gram.tab.h: gram.y
	if [ -f /usr/bin/byacc ]; then		\
	    byacc -b gram -d -v gram.y;		\
	else					\
	    yacc -b gram -d -v gram.y;		\
	fi

lexer.c: lexer.l
	flex -p -s -t lexer.l > lexer.c
    
lexer.o: lexer.c gram.tab.h

vers.c: ../../debian/changelog
	sed -n '1,1s/.*(\(.*\)).*$$/char *socks_version="@(#)sockd version \1";/p' < $? > $@

clean:
	rm -f *.o gram.output gram.tab.c gram.tab.h lexer.c

clobber: clean
	rm -f ${PROGRAMS} vers.c

print:
	@pr -n $$(echo RCS/*,v | sed 's/RCS.\([^,]*\),v/\1/g')

fc:	
	@make debug
	rsync -ave ssh *.[chyl] sockd ftcona2.hp.com:socks5/

## hpsockd 0.6.woody1

=== debian/changelog ===
hpsockd (0.6.woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Applied upstream patch to mitigate denial of service
    [src/sockd/v5udp.c, CAN-2004-0993]

 -- Martin Schulze <joey@infodrom.org>  Sun,  7 Nov 2004 08:47:53 +0100

hpsockd (0.6) unstable; urgency=low

  * use anonymous mmap regions for client buffer memory, so that we
    can give it back to the kernel when the client goes away.

 -- LaMont Jones <lamont@debian.org>  Tue, 26 Mar 2002 20:44:32 -0700

hpsockd (0.5.1) unstable; urgency=low
  * Add footprint call on ENOBUFS in accept.

 -- LaMont Jones <lamont@debian.org>  Mon, 28 Jan 2002 11:14:17 -0700

hpsockd (0.5) unstable; urgency=low
  * Fix corner case with dnsHandler dying causing corruption in the
    connection data structures.  Closes: #127721.
  * Don't keep accepting data when the other side is blocked.
  * Allow limits on number of clients-per-minute.
  * sdc dumpconfig caused freeing-free-pointer problems.

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Dec 2001 23:11:34 -0700

hpsockd (0.4) unstable; urgency=low

  * Add undocumented links for now.

 -- LaMont Jones <lamont@debian.org>  Sat, 22 Dec 2001 19:50:51 -0700

hpsockd (0.3.9) unstable; urgency=low

  * Try accepting up to 10 clients each pass through the select loop.

 -- LaMont Jones <lamont@debian.org>  Mon, 17 Dec 2001 10:29:04 -0700

hpsockd (0.3.8) unstable; urgency=low
  * We were leaking the dns helper socket at spawnChild() time.
    Don't do that.
  * Don't prevent core files when debug!=0; default debug to
    DBG_SANITY.

 -- LaMont Jones <lamont@debian.org>  Thu,  6 Dec 2001 13:04:30 -0600

hpsockd (0.3.7) unstable; urgency=low
  * Handle fdInfo overflow in udpAssoc.

 -- LaMont Jones <lamont@debian.org>  Wed, 14 Nov 2001 15:09:28 -0600

hpsockd (0.3.6) unstable; urgency=low
  * More highFd fixes, more footprinting.
  * reduce memory footprint more agressively.

 -- LaMont Jones <lamont@debian.org>  Wed, 14 Nov 2001 12:08:15 -0600

hpsockd (0.3.5) unstable; urgency=low
  * Bump highFd in listenRecv, to handle closing things properly in spawnChild.

 -- LaMont Jones <lamont@debian.org>  Wed,  7 Nov 2001 23:43:33 -0600

hpsockd (0.3.4) unstable; urgency=low
  * More fingerprinting, sanity checks on data structures.

 -- LaMont Jones <lamont@debian.org>  Thu,  1 Nov 2001 10:11:22 -0600

hpsockd (0.3.3) unstable; urgency=low
  * Fix footprinting code. sigh.

 -- LaMont Jones <lamont@debian.org>  Thu, 23 Aug 2001 11:26:15 -0600

hpsockd (0.3.2) unstable; urgency=low
  * Add footprinting code to track down problems.

 -- LaMont Jones <lamont@debian.org>  Tue, 29 May 2001 11:40:15 -0600

hpsockd (0.3.1) unstable; urgency=low
  * Start allowing alternate storage techniques for userpass.
  * point at syslog on config file parse errors.

 -- LaMont Jones <lamont@debian.org>  Mon, 26 Mar 2001 10:26:20 -0700

hpsockd (0.3) unstable; urgency=low
  * Fix the path for hpsockd in sdc.  Fixes segv on restart and start.
  * Port and host comparisons were trying to compare network byte order
    values.

 -- LaMont Jones <lamont@debian.org>  Thu,  1 Mar 2001 22:03:46 -0700

hpsockd (0.2) unstable; urgency=low
  * Add byacc to build-depends, remove version of libdb2-dev.
  * Times and ID's in logfiles should be in network byte order.

 -- LaMont Jones <lamont@debian.org>  Thu,  1 Mar 2001 12:26:27 -0700

hpsockd (0.1-2) unstable; urgency=low
  * Lintian cleanup.
  * Network byte order problems, null pointer issues...

 -- LaMont Jones <lamont@debian.org>  Thu, 22 Feb 2001 20:10:13 -0700

hpsockd (0.1-1) unstable; urgency=low
  * New package

 -- LaMont Jones <lamont@debian.org>  Thu, 15 Feb 2001 20:22:40 -0700

=== debian/control ===
Source: hpsockd
Section: net
Priority: extra
Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: libdb3-dev, debhelper ( >= 2.0), flex, byacc
Standards-Version: 3.1.1.1

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends}
Description: HP SOCKS server.
 Provides a SOCKS v5 server, with v4 support.

=== debian/rules ===
#!/usr/bin/make -f
# Based on sample debian/rules, GNU copyright 1997-1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

package=hpsockd
docdir=debian/$(package)/usr/share/doc/$(package)
sbindir=debian/$(package)/usr/sbin
bindir=debian/$(package)/usr/bin
lbindir=debian/$(package)/usr/lib/hpsockd

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#CONFIGURE#

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	cd src && $(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cd src && $(MAKE) clobber

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/#PACKAGE#.
	install src/sockd/sockd $(sbindir)/hpsockd
	install src/sockd/sdc $(sbindir)
	install src/sockd/usage src/sockd/log2ascii $(lbindir)
	install -m 444 doc/*.html $(docdir)/html
	install -m 444 src/sockd/ChangeLog $(docdir)/changelog
	install -m 444 src/sockd/sockd.conf.debian $(docdir)/examples/hpsockd.conf
	install debian/init.d debian/$(package)/etc/init.d/hpsockd

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testversion 2
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
	dh_undocumented hpsockd.8 sdc.1
	dh_installchangelogs #CHANGELOGS#
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hpsockd 0.12

=== debian/changelog ===
hpsockd (0.12) unstable; urgency=low

  * Fix description.  Closes: #135448, #209646
  * Handle missing config file in init.d better.  Closes: #131618

 -- LaMont Jones <lamont@debian.org>  Sat, 13 Sep 2003 20:11:08 -0600

hpsockd (0.11) unstable; urgency=low

  * Remove RFC's from the package.  Closes: #199805

 -- LaMont Jones <lamont@debian.org>  Fri, 29 Aug 2003 09:58:12 -0600

hpsockd (0.10) unstable; urgency=low

  * Add -v option to print version.

 -- LaMont Jones <lamont@debian.org>  Thu, 27 Feb 2003 10:23:44 -0700

hpsockd (0.9) unstable; urgency=low

  * Fix bad sign assumption.  Closes: #177386

 -- LaMont Jones <lamont@debian.org>  Sun, 19 Jan 2003 07:04:22 -0700

hpsockd (0.8) unstable; urgency=high

  * Cleanup ping/traceroute command handling.

 -- LaMont Jones <lamont@debian.org>  Mon, 16 Dec 2002 22:19:24 -0700

hpsockd (0.7) unstable; urgency=low

  * Add more footprinting.
  * 2.4 select appears to return true for read on non-connected sockets.
    Avoid that.

 -- LaMont Jones <lamont@debian.org>  Fri, 26 Jul 2002 21:12:14 -0600

## hpsockd 0.12ubuntu0.1

=== debian/changelog ===
hpsockd (0.12ubuntu0.1) warty-security; urgency=low

  * SECURITY UPDATE: missing input sanitising
  * src/sockd/v5udp.c:
    - applied patch from Debian SID upgrade
  * References:
    - CAN-2004-0993
    - http://www.nl.debian.org/security/2004/dsa-604

 -- Gerardo Di Giacomo <gerardo@linux.it>  Sun,  5 Dec 2004 19:27:47 +0000

=== debian/control ===
Source: hpsockd
Section: net
Priority: extra
Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: libdb4.1-dev, debhelper ( >= 2.0), flex, byacc
Standards-Version: 3.1.1.1

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends}
Description: HP SOCKS server.
 Hpsockd is yet-another SOCKS server, with both version 5 (RFC1928 and
 others) as well as version 4 support, originally written at
 Hewlett-Packard Company.

## hpsockd 0.14

=== debian/changelog ===
hpsockd (0.14) unstable; urgency=low

  * Better handle short udp packets

 -- LaMont Jones <lamont@debian.org>  Wed, 10 Nov 2004 14:33:25 -0700

hpsockd (0.13) unstable; urgency=low

  * Use db4.2 instead of db4.1.  Closes: #263234
  * Fix gcc-3.4 errors.  Closes: #263236

 -- LaMont Jones <lamont@debian.org>  Sun, 12 Sep 2004 12:01:32 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: LaMont Jones <lamont@debian.org>
-Build-Depends: libdb4.1-dev, debhelper ( >= 2.0), flex, byacc
+Build-Depends: libdb4.2-dev, debhelper ( >= 2.0), flex, byacc
 Standards-Version: 3.1.1.1
 
 Package: hpsockd

=== debian/rules ===
--- 
+++ 
@@ -61,7 +61,6 @@
 
 # Build architecture-dependent files here.
 binary-arch: build install
-	dh_testversion 2
 	dh_testdir
 	dh_testroot
 #	dh_installdebconf	
@@ -74,14 +73,11 @@
 	dh_installcron
 	dh_installmanpages
 	dh_installinfo
-	dh_undocumented hpsockd.8 sdc.1
 	dh_installchangelogs #CHANGELOGS#
 	dh_link
 	dh_strip
 	dh_compress
 	dh_fixperms
-	# You may want to make some executables suid here.
-	dh_suidregister
 #	dh_makeshlibs
 	dh_installdeb
 #	dh_perl

## hpsockd 0.15

=== debian/changelog ===
hpsockd (0.15) unstable; urgency=low

  * Use libdb 4.6.  Closes: #421941
  * Support GNU/kFreeBSD.  Closes: #414971
  * Remove negot_file on purge.  Closes: #328321
  * Document git repository location
  * Debhelper 5
  * Copyright GPLv2

 -- LaMont Jones <lamont@debian.org>  Tue, 11 Sep 2007 12:02:56 -0600

=== debian/control ===
Source: hpsockd
Section: net
Priority: extra
Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: libdb-dev (>=4.6.19-1), debhelper (>=5), flex, byacc
Standards-Version: 3.7.2.0
XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/hpsockd.git
XS-Vcs-Git: git://git.debian.org/~lamont/hpsockd.git

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends}
Description: HP SOCKS server
 Hpsockd is yet-another SOCKS server, with both version 5 (RFC1928 and
 others) as well as version 4 support, originally written at
 Hewlett-Packard Company.

## hpsockd 0.17

=== debian/changelog ===
hpsockd (0.17) unstable; urgency=low

  * Drop documenation to make the pedants happy.  Closes: #480372

 -- LaMont Jones <lamont@debian.org>  Sat, 14 Jun 2008 09:05:19 -0600

hpsockd (0.16) unstable; urgency=low

  [Petter Reinholdtsen]

  * init.d: add LSB init stuff.  Closes: #462716

 -- LaMont Jones <lamont@debian.org>  Fri, 28 Mar 2008 07:45:51 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: extra
 Maintainer: LaMont Jones <lamont@debian.org>
-Build-Depends: libdb-dev (>=4.6.19-1), debhelper (>=5), flex, byacc
-Standards-Version: 3.7.2.0
+Build-Depends: libdb-dev (>=4.6.19), debhelper (>=5), flex, byacc
+Standards-Version: 3.7.3
 XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/hpsockd.git
 XS-Vcs-Git: git://git.debian.org/~lamont/hpsockd.git

## hpsockd 0.17b1

=== debian/changelog ===
hpsockd (0.17b1) staging; urgency=medium

  * No-change rebuild against libdb5.3.

 -- Jon Severinsson <jon@severinsson.net>  Thu, 12 Jun 2014 14:59:07 +0200

## hpsockd 0.17build1

=== debian/changelog ===
hpsockd (0.17build1) precise; urgency=low

  * Rebuild for libdb5.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Nov 2011 23:18:15 +0000

## hpsockd 0.17build2

=== debian/changelog ===
hpsockd (0.17build2) trusty; urgency=low

  * No change rebuild against db 5.3.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 23:37:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -3,9 +3,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=2
 
 package=hpsockd
 docdir=debian/$(package)/usr/share/doc/$(package)

## hpsockd 0.17build3

=== src/Makefile ===

# (c) Copyright Hewlett-Packard Company 1997-2000
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

DIRS=util sockd

#CC=purify -cache-dir=/users/lamont/.purify-cache -follow-child-processes=yes cc
include Makefile.flags
ROOT=root
TEMPLATE=${ROOT}/opt/socks/newconfig/etc/opt/socks/sockd.conf.template

default opt:
	${MAKE} `uname -s`

debug:
	${MAKE} `uname -s`.debug

include Makefile.os

all clean clobber print:
	+for i in ${DIRS}; do (cd $$i && make $@); done

install: all
	umask 0222 && mkdir -p ${ROOT}/opt/socks/bin
	umask 0222 && mkdir -p ${ROOT}/opt/socks/sbin
	cp sockd/sockd ${ROOT}/opt/socks/sbin
	cp sockd/sdc ${ROOT}/opt/socks/bin
	cp sockd/usage ${ROOT}/opt/socks/bin
	cp sockd/log2ascii ${ROOT}/opt/socks/bin
	umask 0222 && mkdir -p ${ROOT}/sbin/init.d
	if [ -d ../Fshp-ux ]; then \
		cp ../Fshp-ux/sockd ${ROOT}/sbin/init.d/sockd; \
		chmod 544 ${ROOT}/sbin/init.d/sockd; \
		chown root:sys ${ROOT}/sbin/init.d/sockd; \
	fi
	umask 0222 && mkdir -p ${ROOT}/sbin/rc2.d ${ROOT}/sbin/rc1.d
	ln -sf /sbin/init.d/sockd ${ROOT}/sbin/rc2.d/S900sockd
	ln -sf /sbin/init.d/sockd ${ROOT}/sbin/rc1.d/K100sockd
	umask 0222 && mkdir -p ${ROOT}/opt/socks/doc
	cp ../doc/config.html ${ROOT}/opt/socks/doc
	cp ../doc/sdc.html ${ROOT}/opt/socks/doc
	cp ../doc/signals.html ${ROOT}/opt/socks/doc
	cp ../doc/rfc*.txt ${ROOT}/opt/socks/doc
	cp sockd/ChangeLog ${ROOT}/opt/socks/doc/Changelog
	chmod 444 ${ROOT}/opt/socks/doc/Changelog
	chown root:sys ${ROOT}/opt/socks/doc/Changelog
	umask 0222 && mkdir -p ${ROOT}/var/opt/socks
	umask 0222 && mkdir -p ${ROOT}/opt/socks/newconfig/etc/opt/socks
	cp sockd/sockd.conf.template ${TEMPLATE}
	chmod 444 ${TEMPLATE}
	chown root:sys ${TEMPLATE}


dist:
	mkdir -p ../dist/src ../dist/doc
	find . \( -name RCS -o -name test \) -prune -o -print | cpio -pdlmauxv ../dist/src
	cd ../doc && find . -name RCS -prune -o -print | cpio -pdlmauxv ../dist/doc

=== src/util/Makefile ===
# (c) Copyright Hewlett-Packard Company 1997-2000
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

include ../Makefile.flags

SRC=btree.c inetdsec.c inet_ntoa.c
OBJ=btree.o inetdsec.o inet_ntoa.o

PROGRAMS=libutil.a

default debug:
	${MAKE} `uname -s`.debug

opt:
	${MAKE} `uname -s`

include ../Makefile.os

all: ${PROGRAMS}

libutil.a: ${OBJ}
	ar rv $@ $?
	ranlib $@

clean:
	rm -f *.o

clobber: clean
	rm -f ${PROGRAMS}

print:
	@pr -n $$(echo RCS/*,v | sed 's/RCS.\([^,]*\),v/\1/g')

#	@pr -n ${CSRC} ${OSRC} ${DSRC} ${MSRC} ${LSRC} ${USRC} ${HSRC}

=== debian/changelog ===
hpsockd (0.17build3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hpsockd
 Section: net
 Priority: extra
-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
 Build-Depends: libdb-dev (>=4.6.19), debhelper (>=5), flex, byacc
 Standards-Version: 3.7.3
 XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/hpsockd.git

## hpsockd 0.17%2Bnmu1

=== debian/changelog ===
hpsockd (0.17+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debian/compat to 10. Tested by ensuring bit-identical binaries.
    Closes: #965582
  * Add missing required debian/rules targets. Closes: #999120
  * Fix lintian warning: debhelper-but-no-misc-depends
  * Switch to 3.0 (native) source format. Closes: #1007074

 -- Lucas Nussbaum <lucas@debian.org>  Thu, 10 Mar 2022 23:02:47 +0000

## hpsockd 0.17%2Bx

=== debian/control ===
Source: hpsockd
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: optional
Build-Depends: libdb-dev,
               debhelper-compat (= 13),
               flex,
               byacc
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/hpsockd
Vcs-Git: https://salsa.debian.org/debian/hpsockd.git

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: HP SOCKS server
 Hpsockd is yet-another SOCKS server, with both version 5 (RFC1928 and
 others) as well as version 4 support, originally written at
 Hewlett-Packard Company.

## hpsockd 0.17+nmu1

=== debian/control ===
Source: hpsockd
Section: net
Priority: extra
Maintainer: LaMont Jones <lamont@debian.org>
Build-Depends: libdb-dev (>=4.6.19), debhelper-compat (= 10), flex, byacc
Standards-Version: 3.7.3
XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/hpsockd.git
XS-Vcs-Git: git://git.debian.org/~lamont/hpsockd.git

Package: hpsockd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: HP SOCKS server
 Hpsockd is yet-another SOCKS server, with both version 5 (RFC1928 and
 others) as well as version 4 support, originally written at
 Hewlett-Packard Company.

## hpsockd 0.17+nmu1build2

=== debian/changelog ===
hpsockd (0.17+nmu1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:21 +1100

hpsockd (0.17+nmu1build1) noble; urgency=medium

  * No-change rebuild against libdb5.3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 02 Mar 2024 20:31:47 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hpsockd
 Section: net
 Priority: extra
-Maintainer: LaMont Jones <lamont@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: LaMont Jones <lamont@debian.org>
 Build-Depends: libdb-dev (>=4.6.19), debhelper-compat (= 10), flex, byacc
 Standards-Version: 3.7.3
 XS-Vcs-Browser: http://git.debian.org/?p=users/lamont/hpsockd.git

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,9 @@
 bindir=debian/$(package)/usr/bin
 lbindir=debian/$(package)/usr/lib/hpsockd
 
-configure: configure-stamp
-configure-stamp:
-	dh_testdir
-	# Add here commands to configure the package.
-	#CONFIGURE#
-
-	touch configure-stamp
-
-build: configure-stamp build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	dh_testdir
 
@@ -30,7 +24,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	cd src && $(MAKE) clobber
@@ -84,4 +78,4 @@
 	dh_builddeb
 
 binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install configure
+.PHONY: build clean binary-indep binary-arch binary install

## hpsockd 0.17+x

=== debian/changelog ===
hpsockd (0.17+x-0.1) unstable; urgency=medium

  * QA upload.
    Closes: #1093570, #1085583, #1085583

  [ Andreas Tille ]
  * Maintain package in Debian/ team on Salsa
  * This package is not Debian native - separate source and packaging
  * Fix build with GCC-14 (Closes: #1075070)
  * This is no sample rules
  * Short dh
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: DEP5 + review
  * Do not explicitly start/stop daemon in postinst, prerm since this is
    auto-injected

  [ наб ]
  * d/rules: dh_installmanpages-is-obsolete
  * d/rules: dh-clean-k-is-deprecated

  [ Barry deFreese ]
  * Fix FTBFS on Debian GNU/Hurd
    Closes: #533731

 -- Andreas Tille <tille@debian.org>  Fri, 07 Mar 2025 10:31:25 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=hpsockd
docdir=debian/$(package)/usr/share/doc/$(package)
sbindir=debian/$(package)/usr/sbin
bindir=debian/$(package)/usr/bin
lbindir=debian/$(package)/usr/lib/hpsockd

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_clean:
	cd src && $(MAKE) clobber

override_dh_auto_build:
	dh_auto_build --sourcedir=src

override_dh_auto_install:
	echo "Just use dh_install"

override_dh_install:
	install src/sockd/sockd $(sbindir)/hpsockd
	install -m 444 src/sockd/sockd.conf.debian $(docdir)/examples/hpsockd.conf
	install debian/init.d debian/$(package)/etc/init.d/hpsockd
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs src/sockd/ChangeLog
